Documentation Index Fetch the complete documentation index at: https://fal.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Endpoint: POST https://fal.run/fal-ai/flux/srpo
Endpoint ID: fal-ai/flux/srpo
Try it in the Playground Run this model interactively with your own prompts.
Quick Start import fal_client
def on_queue_update ( update ):
if isinstance (update, fal_client.InProgress):
for log in update.logs:
print (log[ "message" ])
result = fal_client.subscribe(
"fal-ai/flux/srpo" ,
arguments = {
"prompt" : "Mountain guide, sturdy build, wilderness wisdom, alert gaze, technical outdoor gear with rope coils, snow-capped peaks background, crisp mountain lighting, leading pose, wind-swept hair with full beard, weather-worn face with quiet confidence, alpine expert presence"
},
with_logs = True ,
on_queue_update = on_queue_update,
)
print (result)
The prompt to generate an image from.
image_size
ImageSize | Enum
default: "landscape_4_3"
The size of the generated image. Default value: landscape_4_3 Possible values: square_hd, square, portrait_4_3, portrait_16_9, landscape_4_3, landscape_16_9
The number of inference steps to perform. Default value: 28 Range: 1 to 50
The same seed and the same prompt given to the same version of the model
will output the same image every time.
The CFG (Classifier Free Guidance) scale is a measure of how close you want
the model to stick to your prompt when looking for a related image to show you. Default value: 4.5 Range: 1 to 20
If True, the media will be returned as a data URI and the output data won’t be available in the request history.
The number of images to generate. Default value: 1 Range: 1 to 4
If set to true, the safety checker will be enabled. Default value: true
output_format
OutputFormatEnum
default: "jpeg"
The format of the generated image. Default value: "jpeg" Possible values: jpeg, png
acceleration
AccelerationEnum
default: "none"
The speed of the generation. The higher the speed, the faster the generation. Default value: "none" Possible values: none, regular, high
Output Schema Seed of the generated Image. It will be the same value of the one passed in the
input or the randomly generated that was used in case none was passed.
Whether the generated images contain NSFW concepts.
The prompt used for generating the image.
{
"prompt" : "Mountain guide, sturdy build, wilderness wisdom, alert gaze, technical outdoor gear with rope coils, snow-capped peaks background, crisp mountain lighting, leading pose, wind-swept hair with full beard, weather-worn face with quiet confidence, alpine expert presence" ,
"image_size" : "landscape_4_3" ,
"num_inference_steps" : 28 ,
"guidance_scale" : 4.5 ,
"sync_mode" : false ,
"num_images" : 1 ,
"enable_safety_checker" : true ,
"output_format" : "jpeg" ,
"acceleration" : "none"
}
Output Example {
"images" : [
{
"content_type" : "image/jpeg" ,
"height" : 768 ,
"url" : "https://storage.googleapis.com/falserverless/example_outputs/flux-srpo-output.jpeg" ,
"width" : 1024
}
],
"prompt" : ""
}
Endpoint: POST https://fal.run/fal-ai/flux/srpo/image-to-image
Endpoint ID: fal-ai/flux/srpo/image-to-image
Try it in the Playground Run this model interactively with your own prompts.
Quick Start import fal_client
def on_queue_update ( update ):
if isinstance (update, fal_client.InProgress):
for log in update.logs:
print (log[ "message" ])
result = fal_client.subscribe(
"fal-ai/flux/srpo/image-to-image" ,
arguments = {
"image_url" : "https://fal.media/files/koala/Chls9L2ZnvuipUTEwlnJC.png" ,
"prompt" : "A cat dressed as a wizard with a background of a mystic forest."
},
with_logs = True ,
on_queue_update = on_queue_update,
)
print (result)
The URL of the image to generate an image from.
The strength of the initial image. Higher strength values are better for this model. Default value: 0.95 Range: 0.01 to 1
The number of inference steps to perform. Default value: 40 Range: 10 to 50
The prompt to generate an image from.
The same seed and the same prompt given to the same version of the model
will output the same image every time.
The CFG (Classifier Free Guidance) scale is a measure of how close you want
the model to stick to your prompt when looking for a related image to show you. Default value: 4.5 Range: 1 to 20
If True, the media will be returned as a data URI and the output data won’t be available in the request history.
The number of images to generate. Default value: 1 Range: 1 to 4
If set to true, the safety checker will be enabled. Default value: true
output_format
OutputFormatEnum
default: "jpeg"
The format of the generated image. Default value: "jpeg" Possible values: jpeg, png
acceleration
AccelerationEnum
default: "none"
The speed of the generation. The higher the speed, the faster the generation. Default value: "none" Possible values: none, regular, high
Output Schema The generated image files info.
Seed of the generated Image. It will be the same value of the one passed in the
input or the randomly generated that was used in case none was passed.
Whether the generated images contain NSFW concepts.
The prompt used for generating the image.
{
"image_url" : "https://fal.media/files/koala/Chls9L2ZnvuipUTEwlnJC.png" ,
"strength" : 0.95 ,
"num_inference_steps" : 40 ,
"prompt" : "A cat dressed as a wizard with a background of a mystic forest." ,
"guidance_scale" : 4.5 ,
"sync_mode" : false ,
"num_images" : 1 ,
"enable_safety_checker" : true ,
"output_format" : "jpeg" ,
"acceleration" : "none"
}
Output Example {
"images" : [
{
"url" : "" ,
"content_type" : "image/jpeg"
}
],
"prompt" : ""
}
Limitations
image_size restricted to: square_hd, square, portrait_4_3, portrait_16_9, landscape_4_3, landscape_16_9
num_inference_steps range: 1 to 50
guidance_scale range: 1 to 20
num_images range: 1 to 4
output_format restricted to: jpeg, png
acceleration restricted to: none, regular, high
Content moderation via safety checker
strength range: 0.01 to 1
num_inference_steps range: 10 to 50